# Uses of Class
net.shibboleth.idp.authn.context.AuthenticationErrorContext

Packages that use AuthenticationErrorContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.

## Uses of AuthenticationErrorContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return AuthenticationErrorContext
Modifier and Type
Method
Description
`AuthenticationErrorContext`
AuthenticationErrorContext.`addClassifiedError(String error)`
Adds a classified error to the context, ensuring that it will be returned from `getLastClassifiedError()` until another is added.